# swig -c++ -python -o mqo_wrap.cxx ../mqo.i
# swig -c++ -python -o pmd_wrap.cxx ../pmd.i
import os
from distutils.core import setup, Extension

if os.name=='nt':
    extra_compile_args=[]
else:
    extra_compile_args=['-std=c++0x']

setup(
        name='meshio',
        version='1.0',
        description='3D mesh IO library',
        py_modules=["__init__", "mqo", "pmd"],
        ext_modules = [
            Extension("_mqo", 
                language="c++",
                sources=["mqo_wrap.cxx"], 
                include_dirs=["../../src"],
                extra_compile_args=extra_compile_args,
                library_dirs=["../../debug"],
                libraries=["meshio"]
                ),
            Extension("_pmd", 
                language="c++",
                sources=["pmd_wrap.cxx"], 
                include_dirs=["../../src"],
                extra_compile_args=extra_compile_args,
                library_dirs=["../../debug"],
                libraries=["meshio"]
                ),
            ]
        )

